package tech.nevets.igformatter;

import java.io.File;
import java.util.Timer;

import static spark.Spark.*;

public class Main {
    public static void main(String[] args) {

        File f = new File("./temp/");
        if (!f.exists()) {
            f.mkdir();
        }

        if (args.length >= 1) {
            port(Integer.parseInt(args[0]));
        } else {
            port(8080);
        }

        options("/*",
            (request, response) -> {
                String accessControlRequestHeaders = request.headers("Access-Control-Request-Headers");
                if (accessControlRequestHeaders != null) {
                    response.header("Access-Control-Allow-Headers", accessControlRequestHeaders);
                }

                String accessControlRequestMethod = request.headers("Access-Control-Request-Method");
                if (accessControlRequestMethod != null) {
                    response.header("Access-Control-Allow-Methods", accessControlRequestMethod);
                }

                return "OK";
            }
        );
        
        post("/igformatter/upload", new GenerateRoute());

        Timer timer = new Timer(true);
        timer.scheduleAtFixedRate(new TempCleanUpTask(), 0, 5 * 60 * 1000);
        System.out.println("Cleanup task scheduled. It will run every 5 minutes.");
    }
}
